Subject: Re: Color highlighting leaves a trail of cursors on the screen

From: David De La Harpe Golden <[email-masked]>
Date: Thu, 19 Feb 2009 05:13:40 +0000

Chong Yidong wrote:
> Kim Rose Carlsen <[email-masked]> wrote:

>> Tested with terminal:
>> Gnome-terminal (term=xterm || term=linux)
>> xfce-terminal  (term=xterm || term=linux)
>> rox-terminal   (term=xterm || term=linux)
>>

All those use the libvte terminal emulator widget underneath.
It _may_ be some issue with that rather than emacs, there is an 
unconfirmed bug report of various redraw issues in recent vte
when cursor positioning is used:
http://bugzilla.gnome.org/show_bug.cgi?id=528077

>> Cannot reproduce with 
>> linux console (term=linux || term=xterm)
>> xterm (term=xterm || term=linux)
> 
> I'm pretty baffled by this one.  I can reproduce it using
> gnome-terminal, and a slightly different version of the bug seems to
> show up in Emacs 22 too.  Anyone have any idea?
> 

I can reproduce something like it with xfce4-terminal with

emacs -nw -Q

Without -Q, I have my usual non-default dark blue background set on my 
default face in emacs, and then the block artifact doesn't appear,
so maybe there's some place (whether in emacs or the vte widget I don't 
know) where a background redraw is being skipped when it shouldn't be,
probably as an optimisation for the terminal-default background case.